slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetType

Selects the particular solver to be used in the SVD object.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetType(SVD svd,SVDType type)

Logically Collective

### Input Parameters

| svd | - the singular value solver context
| type | - a known method

### Options Database Key

| -svd_type <method> | - Sets the method; use -help for a list of available methods

### Notes

See "slepc/include/slepcsvd.h" for available methods. The default is SVDCROSS.

Normally, it is best to use the SVDSetFromOptions() command and then set the SVD type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the different available methods. The SVDSetType() routine is provided for those situations where it is necessary to set the iterative solver independently of the command line or options database.

### See Also

SVDType

### Level

intermediate

### Location

src/svd/interface/svdbasic.c

### Examples

src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex51.c
src/svd/tutorials/cnetwork/embedgsvd.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages